Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | List of all members
SpriteBatchItem::LogicalPosition Struct Reference

`#include <SpriteBatchItem.h>`

Inheritance diagram for SpriteBatchItem::LogicalPosition:

## Public Member Functions
| LogicalPosition ()
| LogicalPosition (const char *pLogicalPositionArgs)
bool | isValid (void) const
S32 | getArgCount (void) const
StringTableEntry | getArg (const S32 argIndex) const
Vector2 | getAsVector2 (void) const
F32 | getFloatArg (const S32 argIndex) const
S32 | getIntArg (const S32 argIndex) const
bool | getBoolArg (const S32 argIndex) const
StringTableEntry | getString (void) const
virtual void | resetState (void)
| operator const U32 () const
bool | operator== (const LogicalPosition &logicalPosition) const
| Value equality check for hashing. More...
bool | operator!= (const LogicalPosition &logicalPosition) const
| Value inequality check. More...

## Static Public Attributes
static const S32 | MAX_ARGUMENTS = 6

## Constructor & Destructor Documentation

LogicalPosition | ( |  | ) |
| inline

LogicalPosition | ( | const char * | pLogicalPositionArgs | ) |
| inline

## Member Function Documentation

StringTableEntry getArg | ( | const S32 | argIndex | ) | const
| inline

S32 getArgCount | ( | void |  | ) | const
| inline

Vector2 getAsVector2 | ( | void |  | ) | const
| inline

bool getBoolArg | ( | const S32 | argIndex | ) | const
| inline

F32 getFloatArg | ( | const S32 | argIndex | ) | const
| inline

S32 getIntArg | ( | const S32 | argIndex | ) | const
| inline

StringTableEntry getString | ( | void |  | ) | const
| inline

bool isValid | ( | void |  | ) | const
| inline

operator const U32 | ( |  | ) | const
| inline

bool operator!= | ( | const LogicalPosition & | logicalPosition | ) | const
| inline

Value inequality check.

bool operator== | ( | const LogicalPosition & | logicalPosition | ) | const
| inline

Value equality check for hashing.

virtual void resetState | ( | void |  | ) |
| inline virtual

Implements IFactoryObjectReset.

## Member Data Documentation

const S32 MAX_ARGUMENTS = 6
| static

The documentation for this struct was generated from the following file:

- 2d/core/SpriteBatchItem.h